Subject: bug#60163: 29.0.60; Error in post-command-hook (winner-save-old-configurations): (wrong-type-argument frame-live-p #<dead frame code action 0x563ea51cbf70>)

From: 张云峰 <[email-masked]>
Date: Wed, 21 Dec 2022 22:50:35 +0800

Hello, martin.

There is a simpler way to reproduce the bug

please replace code in *run-me-to-produce-the-bug.sh*  with

```
echo "Please make sure 'clangd' has installed!"

cd demo-code

echo "int main() {

  /* M-x  lsp-bridge-code action */
  const int place_cursor_here_then_M_X_lsp_bridge_code_action = 1
}" > code.c

git init

cd ..

emacs -Q -L ./lsp-bridge  -L ./posframe -L ./markdown-mode  -L ./yasnippet
  demo-code/code.c --eval="(require 'lsp-bridge)" --eval="(lsp-bridge-mode)"
```

and run  *run-me-to-product-the-bug.sh   *to reproduce the bug in c
language.

martin rudalics <[email-masked]> 于2022年12月21日周三 17:22写道：

>  > I can't interact with the minibuffer, and I can't type in emacs also.
>
> Then this bug is more complex than you described.  What does
>
> wmctrl -l
>
> tell about Emacs' windows?  Is Emacs itself busy looping?
>
>  > I have attached code to help you reproduce this bug.
>  > Prerequisites: Compile emacs29 with option --with-pgtk.
>
> Sorry but I have neither ts nor npm installed.
>
> martin
>
>